package com.scpyun.platform.jilinsscgsdp.bean.entity;

import com.scpyun.base.bean.User;

public class RiskFactor extends BaseEntity {

    private String id;

    /**
     * 风险因素名称
     */
    private String factorName;

    /**
     * 风险权重
     */
    private String riskWeight;

    private String createTime;
    private String updateTime;
    private String updateUser;
    private String createUser;
    private String delFlag;
    private String is_custom;
    private String is_show;
    private int sort;

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public String getIs_custom() {
        return is_custom;
    }

    public void setIs_custom(String is_custom) {
        this.is_custom = is_custom;
    }

    public String getIs_show() {
        return is_show;
    }

    public void setIs_show(String is_show) {
        this.is_show = is_show;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    private User _user;

    @Override
    public User get_user() {
        return _user;
    }

    @Override
    public void set_user(User _user) {
        this._user = _user;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFactorName() {
        return factorName;
    }

    public void setFactorName(String factorName) {
        this.factorName = factorName;
    }

    public String getRiskWeight() {
        return riskWeight;
    }

    public void setRiskWeight(String riskWeight) {
        this.riskWeight = riskWeight;
    }
}
